node.sizes {bnstruct} | R Documentation

## get size of the variables of an object.

### Description

Return a list containing the size of the variables of an object. It is the actual cardinality of discrete variables, and the cardinality of the discretized variable for continuous variables.

### Usage

    node.sizes(x)

    ## S4 method for signature 'BN'
    node.sizes(x)

    ## S4 method for signature 'BNDataset'
    node.sizes(x)

### Arguments

`x` | an object.

### Value

vector contaning the size of each variable of the desired object.

[Package bnstruct version 1.0.6 Index]